Bug 919784 (CVE-2013-1652)

Summary: CVE-2013-1652 Puppet: HTTP GET request catalog retrieval
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: apevec, bkearney, ccoleman, cpelland, dajohnso, dmcphers, jeckersb, jialiu, jomara, lmeyer, markmc, mmccune, morazi, msuchy, rbryant, rh, sclewis, security-response-team, tkramer
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130312,reported=20130309,source=upstream,cvss2=4.0/AV:N/AC:L/Au:S/C:P/I:N/A:N,openshift-1/puppet=affected,cloudformscommon-1/puppet=wontfix,epel-all/puppet=affected,openstack-2.1/puppet=affected,sam-1/puppet=affected,fedora-all/puppet=affected
Fixed In Version: puppet 2.6.18, puppet 2.7.21, puppet 3.1.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-11 03:00:59 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 919788, 919790, 919791, 920843, 920845, 924458, 995662    
Bug Blocks: 919786, 919787, 921763    

Description Kurt Seifried 2013-03-10 00:08:31 EST
Moses Mendoza (moses@puppetlabs.com) reports:

CVE-2013-1652 - Insufficient input validation
* Affected versions: 0.25.0 and greater
* Resolved in Puppet 2.6.18, 2.7.21, 3.1.1, Puppet Enterprise 1.2.7, 2.7.2

A bug in Puppet allows an authenticated client to retrieve catalogs
from the puppet master that it is not authorized to access. Given a
valid certificate and private key, it is possible to construct an HTTP
GET request that will return a catalog for an arbitrary client.


External References:
https://puppetlabs.com/security/cve/cve-2013-1652/
Comment 3 Vincent Danen 2013-03-12 17:36:36 EDT
Created puppet tracking bugs for this issue

Affects: epel-all [bug 920843]
Comment 4 Vincent Danen 2013-03-12 17:40:24 EDT
Created puppet tracking bugs for this issue

Affects: fedora-all [bug 920845]
Comment 5 Kurt Seifried 2013-03-15 00:58:14 EDT
For the puppet roll-up patches please see Bz 919783 for the patch files.
Comment 7 Murray McAllister 2013-03-27 03:26:08 EDT
Acknowledgements:

Red Hat would like to thank Puppet Labs for reporting this issue.
Comment 8 errata-xmlrpc 2013-04-04 16:20:34 EDT
This issue has been addressed in following products:

  OpenStack Folsom for RHEL 6

Via RHSA-2013:0710 https://rhn.redhat.com/errata/RHSA-2013-0710.html
Comment 9 Fedora Update System 2013-04-05 18:36:47 EDT
puppet-2.6.18-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-04-05 18:37:56 EDT
puppet-2.6.18-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Kurt Seifried 2013-07-26 02:19:44 EDT
The Red Hat Security Response Team has rated this issue as having moderate security impact in CloudForms 1.1. This issue is not currently planned to be addressed in future updates.
Comment 12 Fedora Update System 2013-08-01 23:24:39 EDT
puppet-3.1.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2014-02-24 15:09:31 EST
puppet-2.7.25-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.